#! /usr/bin/env node
var detect=require('./src/detect');
var chalk=require('chalk');
var fs=require('fs'),path=require('path');
var yargs = require("yargs");
var argv=yargs.usage('use like this:'+chalk.green('jquery-detector source.js [options]\n')).
  demand(1,chalk.red('please specify source file')).
  option('jQNames',{ alias:'$',default:['$','jQuery'],type:'array',describe:'the alias names of jQuery'}).
  version(function() {return require('./package.json').version; }).
  wrap(yargs.terminalWidth())
  .argv;
if(!fs.existsSync(argv._[0]))
  console.error(chalk.bgRed(argv._[0])+chalk.red(' not exist'));
else {
  var source=fs.readFileSync(path.normalize(argv._[0]),'utf-8'),records=detect(source,argv);
  if(records.length)
    console.log(records.map(function(record){return record.report()}).join('\n'));
  else
   console.log(chalk.green('No jQuery functions'))
}




